Bug 211986 - 2.6.18-based xen patch repeatedly triggers bug in evtchn.c in Dom0 when starting virtual machines
2.6.18-based xen patch repeatedly triggers bug in evtchn.c in Dom0 when start...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Glauber Costa
Martin Jenner
:
: 218418 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-24 08:42 EDT by Christophe Saout
Modified: 2008-02-26 18:33 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 18:33:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
messages log (5.41 KB, text/plain)
2006-11-09 05:18 EST, Edouard Bourguignon
no flags Details

  None (edit)
Description Christophe Saout 2006-10-24 08:42:27 EDT
Description of problem:

In some cases, when starting paravirtualized Linux guests, Dom0 dies with a
kernel bug and tears the whole machine down.

Version-Release number of selected component (if applicable):

Self compiled from kernel-2.6.18-1.2726.fc6.src.rpm

How reproducible:

After booting the machine, quickly start 8 virtual machines. It's likely to
happen if you don't wait much time. Also sometimes happens when quickly
destroying and restarting a guest machine. It seems I'm only seeing this now
that each virtual guest is running OCFS2 for the root filesystem.

Actual results:

Oct 24 14:04:41 waff ----------- [cut here ] --------- [please bite here ] ---------
Oct 24 14:04:41 waff Kernel BUG at drivers/xen/core/evtchn.c:481
Oct 24 14:04:41 waff invalid opcode: 0000 [1] SMP 
Oct 24 14:04:41 waff CPU 3 
Oct 24 14:04:41 waff Modules linked in: crc32 xt_physdev ipt_REDIRECT twofish
serpent blowfish sha256 aes xt_state ipt_REJECT iptable_filter ipt_NETMAP
ipt_MASQUERADE xt_multi
Oct 24 14:04:41 waff Pid: 21, comm: xenwatch Not tainted 2.6.18-cs2-xen0 #2
Oct 24 14:04:41 waff RIP: e030:[<ffffffff80426e7b>]  [<ffffffff80426e7b>]
retrigger+0x2b/0x50
Oct 24 14:04:41 waff RSP: e02b:ffff88003faffc60  EFLAGS: 00010046
Oct 24 14:04:41 waff RAX: 0000000000000000 RBX: 0000000002080000 RCX:
ffffffffff578000
Oct 24 14:04:41 waff RDX: 000000000000002f RSI: ffff88003faffc20 RDI:
000000000000011e
Oct 24 14:04:41 waff RBP: ffff88003faffc60 R08: 0000000000000000 R09:
0000000000000000
Oct 24 14:04:41 waff R10: 0000000000000006 R11: 0000000000000090 R12:
ffffffff806b0400
Oct 24 14:04:41 waff R13: 000000000000011e R14: ffffffff806b043c R15:
0000000000000000
Oct 24 14:04:41 waff FS:  00002ac62ac02e30(0000) GS:ffffffff806a7180(0000)
knlGS:0000000000000000
Oct 24 14:04:41 waff CS:  e033 DS: 0000 ES: 0000
Oct 24 14:04:41 waff Process xenwatch (pid: 21, threadinfo ffff88003fafe000,
task ffff88003fae5140)
Oct 24 14:04:41 waff Stack:  ffff88003faffc90  ffffffff802b2b6d 
ffff88003faffc90  0000000000008f00
Oct 24 14:04:41 waff 000000000000011e  ffffffff806b0400  ffff88003faffcd0 
ffffffff802b27b1 
Oct 24 14:04:41 waff ffff88003faffcb0  ffff88001cdf4cc0 
Oct 24 14:04:41 waff Call Trace:
Oct 24 14:04:41 waff [<ffffffff802b2b6d>] check_irq_resend+0x5d/0x70
Oct 24 14:04:41 waff [<ffffffff802b27b1>] enable_irq+0xb1/0xe0
Oct 24 14:04:41 waff [<ffffffff80434c74>] __netif_up+0x14/0x30
Oct 24 14:04:41 waff [<ffffffff804351c9>] netif_map+0x329/0x370
Oct 24 14:04:41 waff [<ffffffff802a5860>] keventd_create_kthread+0x0/0x80
Oct 24 14:04:41 waff [<ffffffff804345ea>] maybe_connect+0x25a/0x430
Oct 24 14:04:41 waff [<ffffffff802a5860>] keventd_create_kthread+0x0/0x80
Oct 24 14:04:41 waff [<ffffffff8042e610>] frontend_changed+0xa0/0x120
Oct 24 14:04:41 waff [<ffffffff8042ee35>] otherend_changed+0x65/0x80 
Oct 24 14:04:41 waff [<ffffffff8042d350>] xenwatch_thread+0x0/0x150  
Oct 24 14:04:41 waff [<ffffffff8042c4bd>] xenwatch_handle_callback+0x1d/0x60
Oct 24 14:04:41 waff [<ffffffff8042d47e>] xenwatch_thread+0x12e/0x150
Oct 24 14:04:41 waff [<ffffffff802a5a80>] autoremove_wake_function+0x0/0x40
Oct 24 14:04:41 waff [<ffffffff802381aa>] kthread+0xda/0x110
Oct 24 14:04:41 waff [<ffffffff8026a324>] child_rip+0xa/0x12
Oct 24 14:04:41 waff [<ffffffff802a5860>] keventd_create_kthread+0x0/0x80
Oct 24 14:04:41 waff [<ffffffff802380d0>] kthread+0x0/0x110
Oct 24 14:04:41 waff [<ffffffff8026a31a>] child_rip+0x0/0x12
Oct 24 14:04:41 waff 
Oct 24 14:04:41 waff 
Oct 24 14:04:41 waff Code: 0f 0b 68 92 5c 5c 80 c2 e1 01 f0 0f ab 91 00 08 00 00
c9 b8
Oct 24 14:04:41 waff RIP  [<ffffffff80426e7b>] retrigger+0x2b/0x50
Oct 24 14:04:41 waff RSP <ffff88003faffc60>
Comment 1 Edouard Bourguignon 2006-11-09 05:18:39 EST
Created attachment 140752 [details]
messages log

same problem on Fedora Core 6 kernel 2.6.18-1.2798.fc6xen
Comment 4 Stephen Tweedie 2006-12-05 10:00:32 EST
*** Bug 218418 has been marked as a duplicate of this bug. ***
Comment 5 Matthew Miller 2007-04-06 14:31:35 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 6 Red Hat Bugzilla 2007-07-24 20:00:38 EDT
change QA contact
Comment 7 Chris Lalancette 2008-02-26 18:33:14 EST
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks

Note You need to log in before you can comment on or make changes to this bug.